#include <cstdlib>
#include "filter.h"

extern int yydebug;
extern int yyparse( void );

int main( int argc, char *argv[] ) {
    switch ( argc ) {
      case 2: {
	  string arg( argv[1] );

	  if ( arg == "-identity" ) {
	      filter = Identity;
	  } else if ( arg == "-parse_tree" ) {
	      filter = Parse_Tree;
	  } else if ( arg == "-nocode" ) {
	      filter = Nocode;
	  } else if ( arg == "-latex" ) {
	      filter = LaTeX;
	  } else if ( arg == "-html" ) {
	      filter = HTML;
	  } else {
	      cerr << "Unknown printer option: " << argv[1] << endl;
	      goto usage;
	  } // if
	  break;
      }
      usage:
      default:
	cerr << "Usage: " << argv[0] << " [-identity | -parse_tree | -nocode | -latex | -html] < bison.y" << endl;
	exit( -1 );
    }

    //yydebug = 1;
    yyparse();
}

// Local Variables: //
// compile-command: "gmake" //
// End: //
